# Class RouterGlobals

Global router state

This is where we hold the global mutable state such as current state, current params, current transition, etc.

#### Implements

- Defined in src/router/globals.js:13

##### Index

### Constructors

constructor

### Properties

$current
current
lastStartedTransitionId
params
successfulTransitions
transition
transitionHistory

### Methods

$get

## Constructors

### constructor

- new RouterGlobals(): RouterGlobals

  #### Returns RouterGlobals

  - Defined in src/router/globals.js:14

## Properties

### $current

$current: StateObject

- Defined in src/router/globals.js:46

### current

current: StateDeclaration

- Defined in src/router/globals.js:41

### lastStartedTransitionId

lastStartedTransitionId: number

- Defined in src/router/globals.js:26

### params

params: StateParams

Current parameter values

The parameter values from the latest successful transition

- Defined in src/router/globals.js:21

### successfulTransitions

successfulTransitions: Queue<Transition>

- Defined in src/router/globals.js:36

### transition

transition: Transition

- Defined in src/router/globals.js:51

### transitionHistory

transitionHistory: Queue<Transition>

- Defined in src/router/globals.js:31

## Methods

### $get

- $get(): RouterGlobals

  #### Returns RouterGlobals

  - Defined in src/router/globals.js:54